Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class RuleModelInfoSvc.ClauseModelInfo

    java.lang.Object
      com.bea.p13n.rules.model.RuleModelInfoSvc.ClauseModelInfo

Enclosing class:
  RuleModelInfoSvc

    public static class RuleModelInfoSvc.ClauseModelInfo

extends Object

Base information about clause models.

Constructor Summary
`RuleModelInfoSvc.ClauseModelInfo(String clauseType, boolean isCondition, boolean isAction, Class<? extends ClauseModel> modelClass, ClauseModelRecognizer recognizer, int recognizerPriority)` Constructor.
`RuleModelInfoSvc.ClauseModelInfo(String clauseType, boolean isCondition, Class<? extends ClauseModel> modelClass, ClauseModelRecognizer recognizer)` Constructor.

Method Summary
`boolean` | `equals(Object o)`
`ClauseModel` | `getClauseModel(org.apache.xmlbeans.XmlObject clause)` Get a clause model instance of this type for the specified xml structure or a new, empty structure.
`Class<? extends ClauseModel>` | `getClauseModelClass()` Get the Class object for this kind of ClauseModel.
`String` | `getClauseType()` Get the clause type identifier for this clause.
`ClauseModelRecognizer` | `getRecognizer()` Get the recognizer for this type of clause.
`int` | `getRecognizerPriority()`
`int` | `hashCode()`
`boolean` | `isAction()` Tell if this is available as a action clause.
`boolean` | `isCondition()` Tell if this is available as a condition clause.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleModelInfoSvc.ClauseModelInfo

    public RuleModelInfoSvc.ClauseModelInfo(String clauseType,
                                            boolean isCondition,
                                            boolean isAction,
                                            Class<? extends ClauseModel> modelClass,
                                            ClauseModelRecognizer recognizer,
                                            int recognizerPriority)

  Constructor.

### RuleModelInfoSvc.ClauseModelInfo

    public RuleModelInfoSvc.ClauseModelInfo(String clauseType,
                                            boolean isCondition,
                                            Class<? extends ClauseModel> modelClass,
                                            ClauseModelRecognizer recognizer)

  Constructor.

Method Detail

### getClauseType

    public String getClauseType()

  Get the clause type identifier for this clause.

### isCondition

    public boolean isCondition()

  Tell if this is available as a condition clause.

### isAction

    public boolean isAction()

  Tell if this is available as a action clause.

### getClauseModelClass

    public Class<? extends ClauseModel> getClauseModelClass()

  Get the Class object for this kind of ClauseModel.

  The class is guarenteed to be an subclass of ClauseModel.

### getRecognizer

    public ClauseModelRecognizer getRecognizer()

  Get the recognizer for this type of clause.

### getRecognizerPriority

    public int getRecognizerPriority()

### getClauseModel

    public ClauseModel getClauseModel(org.apache.xmlbeans.XmlObject clause)
                               throws IllegalArgumentException

  Get a clause model instance of this type for the specified xml structure or a new, empty structure.

  The ClauseModel returned will be an instance of the Class from `getClauseModelClass()`.

  Parameters
    `clause` - the xml structure of the clause, or null for a newly initialized model.
  Returns
    an appropriately-typed initialized ClauseModel instance.
  Throws
    `IllegalArgumentException` - if clause isn't recognized by our `recognizer` or can't be instantied.
  See Also
    `RuleModelInfoSvc.createClauseModel(java.lang.String, java.lang.Class, org.apache.xmlbeans.XmlObject)`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.